<tr *ngIf="product">
  <td>{{product.id}}</td>
  <td>{{product.name}}</td>
  <td>{{product.price}}</td>
  <td>{{product.quantity}}</td>
  <td><span [ngClass]="product.selected?'fa fa-check-circle text-success':''"></span> </td>
  <td>{{product.available}}</td>
  <td>
    <button [ngClass]="!product.selected?'btn-success':'btn-danger'" class="btn btn-sm" (click)="onSelect(product)">
      <span *ngIf="product.selected">Unselect</span>
      <span *ngIf="!product.selected">Select</span>
    </button>
  </td>
  <td>
    <button (click)="onDelete(product)" class="btn btn-danger">
      <i class="fa fa-trash"></i>
    </button>
  </td>

</tr>
